nonstd::variants::detail::helper< T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15 > Struct Template Reference

`#include <variant.hpp>`

## Public Types

typedef signed char | type_index_t

## Public Member Functions

typedef | variant_TL16 (T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15) variant_types

## Static Public Member Functions

template<class U >
static U * | as (void *data)
template<class U >
static U const * | as (void const *data)
static type_index_t | to_index_t (std::size_t index)
static void | destroy (type_index_t index, void *data)
static type_index_t | copy_construct (type_index_t const from_index, const void *from_value, void *to_value)
static type_index_t | copy_assign (type_index_t const from_index, const void *from_value, void *to_value)

## Detailed Description

template<class T0, class T1, class T2, class T3, class T4, class T5, class T6, class T7, class T8, class T9, class T10, class T11, class T12, class T13, class T14, class T15>
struct nonstd::variants::detail::helper< T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15 >

Definition at line 1019 of file variant.hpp.

## Member Typedef Documentation

## type_index_t

template<class T0 , class T1 , class T2 , class T3 , class T4 , class T5 , class T6 , class T7 , class T8 , class T9 , class T10 , class T11 , class T12 , class T13 , class T14 , class T15 >

typedef signed char nonstd::variants::detail::helper< T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15 >::type_index_t

Definition at line 1021 of file variant.hpp.

## Member Function Documentation

## as() [1/2]

template<class T0 , class T1 , class T2 , class T3 , class T4 , class T5 , class T6 , class T7 , class T8 , class T9 , class T10 , class T11 , class T12 , class T13 , class T14 , class T15 >
template<class U >

static U * nonstd::variants::detail::helper< T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15 >::as | ( | void * | data | ) |

inlinestatic

Definition at line 1025 of file variant.hpp.

## as() [2/2]

template<class T0 , class T1 , class T2 , class T3 , class T4 , class T5 , class T6 , class T7 , class T8 , class T9 , class T10 , class T11 , class T12 , class T13 , class T14 , class T15 >
template<class U >

static U const * nonstd::variants::detail::helper< T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15 >::as | ( | void const * | data | ) |

inlinestatic

Definition at line 1031 of file variant.hpp.

## copy_assign()

template<class T0 , class T1 , class T2 , class T3 , class T4 , class T5 , class T6 , class T7 , class T8 , class T9 , class T10 , class T11 , class T12 , class T13 , class T14 , class T15 >

static type_index_t nonstd::variants::detail::helper< T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15 >::copy_assign | ( | type_index_t const | from_index,
|  | const void * | from_value,
|  | void * | to_value
| ) |  |

inlinestatic

Definition at line 1160 of file variant.hpp.

## copy_construct()

template<class T0 , class T1 , class T2 , class T3 , class T4 , class T5 , class T6 , class T7 , class T8 , class T9 , class T10 , class T11 , class T12 , class T13 , class T14 , class T15 >

static type_index_t nonstd::variants::detail::helper< T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15 >::copy_construct | ( | type_index_t const | from_index,
|  | const void * | from_value,
|  | void * | to_value
| ) |  |

inlinestatic

Definition at line 1135 of file variant.hpp.

## destroy()

template<class T0 , class T1 , class T2 , class T3 , class T4 , class T5 , class T6 , class T7 , class T8 , class T9 , class T10 , class T11 , class T12 , class T13 , class T14 , class T15 >

static void nonstd::variants::detail::helper< T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15 >::destroy | ( | type_index_t | index,
|  | void * | data
| ) |  |

inlinestatic

Definition at line 1041 of file variant.hpp.

## to_index_t()

template<class T0 , class T1 , class T2 , class T3 , class T4 , class T5 , class T6 , class T7 , class T8 , class T9 , class T10 , class T11 , class T12 , class T13 , class T14 , class T15 >

static type_index_t nonstd::variants::detail::helper< T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15 >::to_index_t | ( | std::size_t | index | ) |

inlinestatic

Definition at line 1036 of file variant.hpp.

## variant_TL16()

template<class T0 , class T1 , class T2 , class T3 , class T4 , class T5 , class T6 , class T7 , class T8 , class T9 , class T10 , class T11 , class T12 , class T13 , class T14 , class T15 >

typedef nonstd::variants::detail::helper< T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15 >::variant_TL16 | ( | T0 | ,
|  | T1 | ,
|  | T2 | ,
|  | T3 | ,
|  | T4 | ,
|  | T5 | ,
|  | T6 | ,
|  | T7 | ,
|  | T8 | ,
|  | T9 | ,
|  | T10 | ,
|  | T11 | ,
|  | T12 | ,
|  | T13 | ,
|  | T14 | ,
|  | T15 |
| ) |  |

The documentation for this struct was generated from the following file:

- restinio/third_party/variant-lite/variant.hpp